Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## TestClasses
Class EmailValidation

    java.lang.Object
      TestClasses.EmailValidation

class EmailValidation
extends java.lang.Object

Author:
  student Class Information: Class : EmailValidation.java Package : TestClasses Project: CoffeePurchasingApplication This class is being used for testing a particular method for validation of email addresses.

Constructor Summary
`(package private)` | `EmailValidation()`

Method Summary
`private static boolean` | `isNullorEmpty(java.lang.String s)` This method is being used for checking whether the given string is null or empty.
`static boolean` | `isValidEmailAddress(java.lang.String strEmailAddress)` Validates the structure of the Email Address.
`static void` | `main(java.lang.String[] args)` This method is being used for testing whether a given email address is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailValidation

    EmailValidation()

Method Detail

### isNullorEmpty

    private static boolean isNullorEmpty(java.lang.String s)

  This method is being used for checking whether the given string is null or empty.

  Parameters:
    `s` - The string to be checked.
  Returns:
    boolean Specifies whther the validation was successful.

### isValidEmailAddress

    public static boolean isValidEmailAddress(java.lang.String strEmailAddress)

  Validates the structure of the Email Address. This method covers most requirements of the RFC822 specification.

  Parameters:
    `strEmailAddress` - Email Address to be validated
  Returns:
    true if validation is successful, false otherwise

### main

    public static void main(java.lang.String[] args)

  This method is being used for testing whether a given email address is valid.

  Parameters:
    `args` - arguments - takes one argument, the string to be validated.
  Returns:
    void

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD